org.apache.http.impl.nio.codecs

## Class DefaultHttpRequestWriterFactory

- java.lang.Object
- - org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory

All Implemented Interfaces:
  NHttpMessageWriterFactory<HttpRequest>

    @Immutable
    public class DefaultHttpRequestWriterFactory
    extends Object
    implements NHttpMessageWriterFactory<HttpRequest>

Default factory for request message writers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpRequestWriterFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpRequestWriterFactory()`
`DefaultHttpRequestWriterFactory(LineFormatter lineFormatter)`

### Method Summary

Methods
`NHttpMessageWriter<HttpRequest>` `create(SessionOutputBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpRequestWriterFactory INSTANCE

### Constructor Detail

#### DefaultHttpRequestWriterFactory

    public DefaultHttpRequestWriterFactory(LineFormatter lineFormatter)

#### DefaultHttpRequestWriterFactory

    public DefaultHttpRequestWriterFactory()

### Method Detail

#### create

    public NHttpMessageWriter<HttpRequest> create(SessionOutputBuffer buffer)

Specified by:
  `create` in interface `NHttpMessageWriterFactory<HttpRequest>`